import * as React from "react";
import { Able, MoveableInterface, GroupableProps, MoveableDefaultProps } from "./types";
import MoveableManager from "./MoveableManager";
import MoveableGroup from "./MoveableGroup";
export declare class InitialMoveable<T = {}> extends React.PureComponent<MoveableDefaultProps & GroupableProps & T> {
    static defaultAbles: Able[];
    static defaultStyled: any;
    static makeStyled(): void;
    static getTotalAbles(): Able[];
    moveable: MoveableManager | MoveableGroup;
    render(): JSX.Element;
}
export interface InitialMoveable<T = {}> extends React.PureComponent<MoveableDefaultProps & GroupableProps & T>, MoveableInterface {
    setState(state: any, callback?: () => any): any;
}
